Loading...
Searching...
No Matches
standardmerge.hh File Reference

Common base class for many merger implementations: produce pairs of entities that may intersect. More...

`#include <iostream>`
`#include <iomanip>`
`#include <vector>`
`#include <stack>`
`#include <set>`
`#include <utility>`
`#include <map>`
`#include <memory>`
`#include <algorithm>`
`#include <dune/common/fvector.hh>`
`#include <dune/common/bitsetvector.hh>`
`#include <dune/common/stdstreams.hh>`
`#include <dune/common/timer.hh>`
`#include <dune/geometry/referenceelements.hh>`
`#include <dune/grid/common/grid.hh>`
`#include <dune/grid-glue/merging/intersectionlist.hh>`
`#include <dune/grid-glue/merging/merger.hh>`
`#include <dune/grid-glue/merging/computeintersection.hh>`

Go to the source code of this file.

## Classes

class | Dune::GridGlue::StandardMerge< T, grid1Dim, grid2Dim, dimworld >
| Common base class for many merger implementations: produce pairs of entities that may intersect. More...

## Namespaces

namespace | Dune
namespace | Dune::GridGlue

## Macros

#define | DECL extern
#define | STANDARD_MERGE_INSTANTIATE(T, A, B, C)

## Functions

| Dune::GridGlue::STANDARD_MERGE_INSTANTIATE (double, 1, 1, 1)
| Dune::GridGlue::STANDARD_MERGE_INSTANTIATE (double, 2, 2, 2)
| Dune::GridGlue::STANDARD_MERGE_INSTANTIATE (double, 3, 3, 3)

## Detailed Description

Common base class for many merger implementations: produce pairs of entities that may intersect.

## Macro Definition Documentation

## DECL

#define DECL extern

## STANDARD_MERGE_INSTANTIATE

#define STANDARD_MERGE_INSTANTIATE | ( |  | T,
|  |  | A,
|  |  | B,
|  |  | C )

Value:
DECL template \
void StandardMerge<T,A,B,C>::build(const std::vector<Dune::FieldVector<T,C> >& grid1Coords, \
const std::vector<unsigned int>& grid1_elements, \
const std::vector<Dune::GeometryType>& grid1_element_types, \
const std::vector<Dune::FieldVector<T,C> >& grid2Coords, \
const std::vector<unsigned int>& grid2_elements, \
const std::vector<Dune::GeometryType>& grid2_element_types \
)
DECL
#define DECL
Definition standardmerge.cc:12